Author Topic: 0.4.11 Testers Wanted (not mandatory)  (Read 3824 times)

0 Members and 1 Guest are viewing this topic.

Offline king

  • Full Member
  • ***
  • Posts: 80
    • View Profile
Re: 0.4.11 Testers Wanted (not mandatory)
« Reply #15 on: September 01, 2014, 06:10:16 pm »
try... :-*
BTSX Account: mister
BTSX Delegate :sun.delegate.service,moon.delegate.service

Offline Riverhead

Re: 0.4.11 Testers Wanted (not mandatory)
« Reply #16 on: September 01, 2014, 06:35:20 pm »
Seed/chain node updated without issue to 0.4.11.


the info in the client still says 0.4.10 though...I'm guessing it just wasn't updated.

Offline tonyk

  • Hero Member
  • *****
  • Posts: 3308
    • View Profile
Re: 0.4.11 Testers Wanted (not mandatory)
« Reply #17 on: September 01, 2014, 06:53:18 pm »
Did somebody try the GUI?
If even a marginal improvements I will update my Linux to it
...not too many  bitBTC buyers anyway...so I as well might help the system that way, instead of trying to help start the bitBTC market.

[EDIT]
Please, I am newbie, can somebody post all the folders I gave to delete to have a fresh install in Ubuntu. Thanks.
« Last Edit: September 01, 2014, 06:55:58 pm by TheOnion »
Lack of arbitrage is the problem, isn't it. And this 'should' solves it.

Offline maqifrnswa

  • Hero Member
  • *****
  • Posts: 661
    • View Profile
Re: 0.4.11 Testers Wanted (not mandatory)
« Reply #18 on: September 01, 2014, 06:58:45 pm »
Did somebody try the GUI?
If even a marginal improvements I will update my Linux to it
...not too many  bitBTC buyers anyway...so I as well might help the system that way, instead of trying to help start the bitBTC market.

[EDIT]
Please, I am newbie, can somebody post all the folders I gave to delete to have a fresh install in Ubuntu. Thanks.

no changes to gui since 4.10 so far. to rebuild the gui you need to delete the htdocs then rebuild the web_wallet
Code: [Select]
$ make forcebuildweb
(thanks trader)
« Last Edit: September 01, 2014, 09:18:22 pm by maqifrnswa »
maintains an Ubuntu PPA: https://launchpad.net/~showard314/+archive/ubuntu/bitshares [15% delegate] wallet_account_set_approval maqifrnswa true [50% delegate] wallet_account_set_approval delegate1.maqifrnswa true

Offline maqifrnswa

  • Hero Member
  • *****
  • Posts: 661
    • View Profile
Re: 0.4.11 Testers Wanted (not mandatory)
« Reply #19 on: September 01, 2014, 06:59:43 pm »
working fine so far, ubuntu 14.10

Not really related to this testing but something I just noticed: I think the logic for choosing which delegate feed is expired in the gui might not be correct. I believe feeds should expire in 24 hours, but some feeds are red which are less than 24 hours old. It seems to be the feeds which were the previous day calendar day, not < 24 hours (unless we are now on a 12 hour cycle, in which case I need to change my script to make sure it updates at least every 12 hours).
maintains an Ubuntu PPA: https://launchpad.net/~showard314/+archive/ubuntu/bitshares [15% delegate] wallet_account_set_approval maqifrnswa true [50% delegate] wallet_account_set_approval delegate1.maqifrnswa true

Offline tonyk

  • Hero Member
  • *****
  • Posts: 3308
    • View Profile
Re: 0.4.11 Testers Wanted (not mandatory)
« Reply #20 on: September 01, 2014, 07:14:08 pm »
Did somebody try the GUI?
If even a marginal improvements I will update my Linux to it
...not too many  bitBTC buyers anyway...so I as well might help the system that way, instead of trying to help start the bitBTC market.

[EDIT]
Please, I am newbie, can somebody post all the folders I gave to delete to have a fresh install in Ubuntu. Thanks.

no changes to gui since 4.10 so far. to rebuild the gui you need to delete the htdocs then rebuild the web_wallet
Code: [Select]
$ rm -r programs/qt_wallet/htdocs
$ make buildweb

Thanks for the code!

It should have at least the below, even though I got used to seeing not-fillable orders. What would be nice (and should be as easy as pie to change the '1h Avg. Price' to 'median price feed'), is seeing the median price feed without going to the console....


0.4.11 testing is now open and has some critical networking updates in it.   

3) Market Order Book now filters out over-priced shorts.
« Last Edit: September 01, 2014, 07:16:12 pm by TheOnion »
Lack of arbitrage is the problem, isn't it. And this 'should' solves it.

Offline emski

  • Hero Member
  • *****
  • Posts: 1282
    • View Profile
    • http://lnkd.in/nPbhxG
Re: 0.4.11 Testers Wanted (not mandatory)
« Reply #21 on: September 01, 2014, 07:35:37 pm »
Looks stable so far.
I'll update delegates and seed node.

Offline speedy

  • Hero Member
  • *****
  • Posts: 1160
    • View Profile
  • BitShares: speedy
Re: 0.4.11 Testers Wanted (not mandatory)
« Reply #22 on: September 01, 2014, 08:42:18 pm »
no changes to gui since 4.10 so far. to rebuild the gui you need to delete the htdocs then rebuild the web_wallet
Code: [Select]
$ rm -r programs/qt_wallet/htdocs
$ make buildweb

Or you can just do this:
make forcebuildweb

Offline tonyk

  • Hero Member
  • *****
  • Posts: 3308
    • View Profile
Re: 0.4.11 Testers Wanted (not mandatory)
« Reply #23 on: September 01, 2014, 10:43:18 pm »
Forgot to post.
Clean build it on Ubuntu 14.10. Did not want to sync (gave it like 10 min with 7 connections).
So, copied the old database directory and now seem to work fine.
(Not-fillable shorts are not removed from the GUI of course... :)  )

I am an idiot....

Is this what I should be testing?
Code: [Select]
{
  "bitshares_toolkit_revision": "b43f6c3871b9b8680996a8955dcf4a41facd563c",
  "bitshares_toolkit_revision_age": "7 hours ago",
  "fc_revision": "3222dc7c0be62b9ad0fdfd303c5c4f53b39063e6",
  "fc_revision_age": "4 days ago",
  "compile_date": "compiled on Sep  1 2014 at 15:13:05"
}

Not that anybody told me if the above is 0.4.10 or 0.4.11 but it stated crashing on me after several orders in the market. Now it just closes itself after log in.
« Last Edit: September 02, 2014, 01:08:06 am by TheOnion »
Lack of arbitrage is the problem, isn't it. And this 'should' solves it.

Offline bitcoinerS

  • Hero Member
  • *****
  • Posts: 592
    • View Profile
Re: 0.4.11 Testers Wanted (not mandatory)
« Reply #24 on: September 01, 2014, 11:42:22 pm »
GUI wallet error trying to add favorite

Code: [Select]
RPC Server Error: In method 'wallet_add_contact_account': Assert Exception (10)

Code: [Select]
>>> get_info
{
  "blockchain_head_block_num": 375910,
  "blockchain_head_block_age": "7 seconds old",
  "blockchain_head_block_timestamp": "2014-09-01T23:38:40",
  "blockchain_average_delegate_participation": "100.00 %",
  "blockchain_confirmation_requirement": 1,
  "blockchain_accumulated_fees": "256,062.98647 BTSX",
  "blockchain_delegate_pay_rate": "2.11692 BTSX",
  "blockchain_share_supply": "1,999,919,942.21843 BTSX",
  "blockchain_blocks_left_in_round": 12,
  "blockchain_next_round_time": "at least 2 minutes in the future",
  "blockchain_next_round_timestamp": "2014-09-01T23:40:40",
  "blockchain_random_seed": "ca375209443ba0f9041039a55d7056b6b6dcd6a1",
  "client_data_dir": "/home/slava/.BitSharesX",
  "client_version": "0.4.10",
  "network_num_connections": 5,
  "network_num_connections_max": 200,
  "ntp_time": "2014-09-01T23:38:47",
  "ntp_time_error": -0.111175,
  "wallet_open": true,
  "wallet_unlocked": true,
  "wallet_unlocked_until": "31 years  in the future",
  "wallet_unlocked_until_timestamp": "1910-04-04T18:56:51",
  "wallet_last_scanned_block_timestamp": "2014-09-01T23:38:40",
  "wallet_scan_progress": "100.00 %",
  "wallet_block_production_enabled": false,
  "wallet_next_block_production_time": null,
  "wallet_next_block_production_timestamp": null
}
default (unlocked) >>> about
{
  "bitshares_toolkit_revision": "b43f6c3871b9b8680996a8955dcf4a41facd563c",
  "bitshares_toolkit_revision_age": "7 hours ago",
  "fc_revision": "3222dc7c0be62b9ad0fdfd303c5c4f53b39063e6",
  "fc_revision_age": "4 days ago",
  "compile_date": "compiled on Sep  1 2014 at 16:31:10"
}

>>> approve bitcoiners

Offline chono

  • Full Member
  • ***
  • Posts: 59
    • View Profile
Re: 0.4.11 Testers Wanted (not mandatory)
« Reply #25 on: September 02, 2014, 12:13:48 am »
maybe,we could build the system on the "docker".this will reduce lots of bugs.

来自我的 HTC 802d 上的 Tapatalk

Weibo:Will_BTS

Offline alt

  • Hero Member
  • *****
  • Posts: 2806
    • View Profile
  • BitShares: baozi
Re: 0.4.11 Testers Wanted (not mandatory)
« Reply #26 on: September 02, 2014, 12:15:19 am »
I just compiled & ran latest master. I am still seeing a short at 28.5714, which is below the current avg price of 30.9751.

There is a median price feed that overrules the average.
but the median price is about 34...
the filter seems work with command line,  not work with GUI

Offline tonyk

  • Hero Member
  • *****
  • Posts: 3308
    • View Profile
Re: 0.4.11 Testers Wanted (not mandatory)
« Reply #27 on: September 02, 2014, 12:27:33 am »
Forgot to post.
Clean build it on Ubuntu 14.10. Did not want to sync (gave it like 10 min with 7 connections).
So, copied the old database directory and now seem to work fine.
(Not-fillable shorts are not removed from the GUI of course... :)  )

I am an idiot....

Is this what I should be testing?
Code: [Select]
{
  "bitshares_toolkit_revision": "b43f6c3871b9b8680996a8955dcf4a41facd563c",
  "bitshares_toolkit_revision_age": "7 hours ago",
  "fc_revision": "3222dc7c0be62b9ad0fdfd303c5c4f53b39063e6",
  "fc_revision_age": "4 days ago",
  "compile_date": "compiled on Sep  1 2014 at 15:13:05"
}

Not that anybody told me if the above is 0.4.10 or 0.4.11 but it stated crashing on me after several orders in the market. Now it just closes itself after log in.

Not that anybody told me if the above is 0.4.10 or 0.4.11 but it stated crashing on me after several orders in the market. Now it just closes itself after log in.
« Last Edit: September 02, 2014, 01:08:32 am by TheOnion »
Lack of arbitrage is the problem, isn't it. And this 'should' solves it.

Offline Riverhead

Re: 0.4.11 Testers Wanted (not mandatory)
« Reply #28 on: September 02, 2014, 12:59:47 am »
I'm testing the same one. I cloned it twice to be sure since the get_info says 0.4.10 but the tool_kit revision has a very new age.



{
  "bitshares_toolkit_revision": "b43f6c3871b9b8680996a8955dcf4a41facd563c",
  "bitshares_toolkit_revision_age": "9 hours ago",
  "fc_revision": "3222dc7c0be62b9ad0fdfd303c5c4f53b39063e6",
  "fc_revision_age": "4 days ago",
  "compile_date": "compiled on Sep  1 2014 at 12:52:49"
}


Offline tonyk

  • Hero Member
  • *****
  • Posts: 3308
    • View Profile
Re: 0.4.11 Testers Wanted (not mandatory)
« Reply #29 on: September 02, 2014, 01:07:36 am »
I'm testing the same one. I cloned it twice to be sure since the get_info says 0.4.10 but the tool_kit revision has a very new age.



{
  "bitshares_toolkit_revision": "b43f6c3871b9b8680996a8955dcf4a41facd563c",
  "bitshares_toolkit_revision_age": "9 hours ago",
  "fc_revision": "3222dc7c0be62b9ad0fdfd303c5c4f53b39063e6",
  "fc_revision_age": "4 days ago",
  "compile_date": "compiled on Sep  1 2014 at 12:52:49"
}

Thanks. I am not that stupid after all.
I will erase the scratched text above then...the sad thing is I just  found/recovered all my balances, saved and then  made some decent trades...and I cannot enjoy them... at least for a while... :)
Lack of arbitrage is the problem, isn't it. And this 'should' solves it.